REM prerequisite: zlib libcurl hdf5
REM http://www.unidata.ucar.edu/downloads/netcdf/ftp/netcdf-4.3.0.tar.gz

set OSGEO4W_ROOT=C:\OSGeo4W64
set P=netcdf
set V=4.3.0
set B=1

set R=..\..\..\release\%P%
mkdir %R%

set pf=%ProgramFiles(x86)%
if "%pf%"=="" set pf=%ProgramFiles%
call "%pf%\Microsoft Visual Studio 10.0\VC\vcvarsall.bat" x64
echo on
path %pf%\CMake 2.8\bin;%pf%\Microsoft Visual Studio 10.0\Common7\IDE;c:\cygwin\bin;%PATH%

if not exist build mkdir build
cd build

copy ..\..\nc-config.in ..\..\nc-config.in.cmake
copy ..\CMakeLists.txt ..\..

cmake -G "Visual Studio 10 Win64" ^
	-D CMAKE_INSTALL_PREFIX=../install ^
	-D CMAKE_MODULE_PATH="${CMAKE_ROOT}/cmake/modules/ ${CMAKE_SOURCE_DIR}/cmake/modules/ ${CMAKE_SOURCE_DIR}/cmake/modules/windows" ^
	-D HDF5_DIR=%OSGEO4W_ROOT%/share/cmake/hdf5 ^
	-D CURL_INCLUDE_DIR=%OSGEO4W_ROOT%/include ^
	-D CURL_LIBRARY=%OSGEO4W_ROOT%/lib/libcurl.lib ^
	-D ZLIB_INCLUDE_DIR=%OSGEO4W_ROOT%/include ^
	-D ZLIB_LIBRARY=%OSGEO4W_ROOT%/lib/zdll.lib ^
	../..
if errorlevel 1 (echo cmake error ^ goto error)

devenv netCDF.sln /Project ALL_BUILD /Build Release /out build.log
if errorlevel 1 (echo build error ^ goto error)

devenv netCDF.sln /Project INSTALL /Build Release /out install.log
if errorlevel 1 (echo install error ^ goto error)

cd ..

copy setup.hint %R%\setup.hint
copy ..\COPYRIGHT %R%\%P%-%V%-%B%.txt

tar -C install -cjf %R%\%P%-%V%-%B%.tar.bz2 bin/nccopy.exe bin/ncdump.exe bin/ncgen.exe bin/ncgen3.exe bin/netcdf.dll include/netcdf.h lib/netcdf.lib share/cmake
tar -C .. -cjf %R%\%P%-%V%-%B%-src.tar.bz2 osgeo4w/CMakeLists.txt osgeo4w/package.cmd osgeo4w/setup.hint


exit

:error
